import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
  WithSdkStreamMixin as __WithSdkStreamMixin,
} from "@aws-sdk/types";
import { GetTileInput, GetTileOutput } from "../models/models_0";
import {
  SageMakerGeospatialClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../SageMakerGeospatialClient";
export { __MetadataBearer, $Command };
export interface GetTileCommandInput extends GetTileInput {}
export interface GetTileCommandOutput
  extends __WithSdkStreamMixin<GetTileOutput, "BinaryFile">,
    __MetadataBearer {}
export declare class GetTileCommand extends $Command<
  GetTileCommandInput,
  GetTileCommandOutput,
  SageMakerGeospatialClientResolvedConfig
> {
  readonly input: GetTileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetTileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: SageMakerGeospatialClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetTileCommandInput, GetTileCommandOutput>;
  private serialize;
  private deserialize;
}
